extern "C" {

	bool IrrVideo_IImageLoader_isALoadableFileExtension(IImageLoader* loader, const c8* filename)
	{
		if (loader)
			return loader->isALoadableFileExtension(path(filename));
		else return false;
	}

	bool IrrVideo_IImageLoader_isALoadableFileFormat(IImageLoader* loader, io::IReadFile* file)
	{
		if (loader)
			return loader->isALoadableFileFormat(file);
		else return false;
	}

	IImage* IrrVideo_IImageLoader_loadImage(IImageLoader* loader, io::IReadFile* file)
	{
		if (loader)
			return loader->loadImage(file);
		else return 0;
	}
}